#include "stdafx.h"
#include "Dictionary.h"


DICTIONARY dict;


struct ENTRY
{
  CString name;
  int     val;
};

ENTRY ent[10000];
int numEnt;


DICTIONARY::DICTIONARY(void)
{
  numEnt = 0;
}

DICTIONARY::~DICTIONARY(void)
{
}

int DICTIONARY::FindWord(CString name)
{
  int i;
  for (i=0; i<numEnt; i++)
  {
    if (name == ent[i].name)
    {
      return i;
    };
  };
  return -1;
}

int DICTIONARY::GetVal(int index)
{
  return ent[index].val;
}

void DICTIONARY::SetVal(int index, int val)
{
  ent[index].val = val;
}

void DICTIONARY::NewWord(CString name, int val)
{
  ent[numEnt].name = name;
  ent[numEnt].val = val;
  numEnt++;
}