#include "stdafx.h"

extern FILE *input, *listing;
extern int here;

int curcol = 99999999;
char line[10000];
int lineLen = 0;
int lineNum = 0;
bool eof = false;
const int EOFCHAR = 0xffff;
bool newline;
extern bool nonEmptyLine;

bool Whitespace(char c)
{
  if (c == ' ') return true;
  if (c == '\t') return true;
  return false;
}


int GetChar(void)
{
  while (curcol >= lineLen)
  {
    if (eof) return EOFCHAR;
    if (fgets(line,9999,input)== NULL)
    {
      eof = true;
      return EOFCHAR;
    };
    lineNum++;
    curcol = 0;
    lineLen = strlen(line);
    if (lineLen > 0)
    {
      if (line[lineLen-1] == '\n')
      {
        line[--lineLen] = 0;
      };
    };
    if (nonEmptyLine) fprintf(listing,"\n");
    fprintf(listing,"// %s\n", line, here);
    line[lineLen++] = ' ';
    line[lineLen] = 0;
    nonEmptyLine = false;
    newline = true;
  };
  return line[curcol++];
}


CString GetWord(void)
{
  int c;
  CString result;
  newline = false;
  do
  {
    c = GetChar();
  } while (Whitespace(c));
  if (c == EOFCHAR) return "";
  result = (char) c;

  while ( (c = GetChar()) != EOFCHAR)
  {
    if (Whitespace(c)) break;
    result += (char) c;
  };
  return result;
}

void SkipLine(void)
{
  lineLen = 0;
}